| Home | Libraries | People | FAQ | More

### ssl::context_service

Default service implementation for a context.

    class context_service :
      public io_service::service

##### Types

Name | Description
--- | ---
impl_type | The type of the context.

##### Member Functions

Name | Description
--- | ---
add_verify_path | Add a directory containing certification authority files to be used for performing verification.
context_service | Constructor.
create | Create a new context implementation.
destroy | Destroy a context implementation.
get_io_service | Get the io_service object that owns the service.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
load_verify_file | Load a certification authority file for performing verification.
null | Return a null context implementation.
set_options | Set options on the context.
set_password_callback | Set the password callback.
set_verify_mode | Set peer verification mode.
shutdown_service | Destroy all user-defined handler objects owned by the service.
use_certificate_chain_file | Use a certificate chain from a file.
use_certificate_file | Use a certificate from a file.
use_private_key_file | Use a private key from a file.
use_rsa_private_key_file | Use an RSA private key from a file.
use_tmp_dh_file | Use the specified file to obtain the temporary Diffie-Hellman parameters.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/ssl/context_service.hpp`

Convenience header: `boost/asio/ssl.hpp`